/*
 * JStandardAction.java
 * Copyright (C) 2000, Vinod Kiran
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import org.gjt.sp.jedit.*;
import org.gjt.sp.util.Log;

import java.awt.event.ActionEvent;
import java.awt.Cursor;
import javax.swing.JOptionPane;

import jstandard.*;

public class JStandardAction extends EditAction
{
	View view;
	Cursor savedCursor;

  public JStandardAction()
  {
    super("check-coding-standards");
  }

  public void actionPerformed(ActionEvent evt)
  {
   	 // Obtain the view for this jEdit session
	 view = getView(evt);

   	 // Check if the current buffer is a java buffer
     	Buffer buf = view.getBuffer();
	 	if (!buf.getName().toLowerCase().endsWith(".java"))
        {
			return;
		}
        final String completePath = buf.getPath();//+java.io.File.pathSeparator+buf.getName();
        if ( buf.isDirty())
        {
        	String[] s = new String[]{"Current File ("+buf.getName()+") is not saved !","Save before checking ?"};
        	int result = JOptionPane.showConfirmDialog(view,s,"Confirm...",JOptionPane.YES_NO_CANCEL_OPTION);
			switch ( result )
            {
            	case JOptionPane.YES_OPTION :
                		buf.save(view,null);break;
				case JOptionPane.CANCEL_OPTION:
                		return;
                default:
					break;
            }
        }

	    Runnable r = new Runnable()
    	{
			public void run()
        	{
			  JStandard t = new JStandard(view);
			  t.checkStandards(completePath);
        	}
    	};
    	new Thread(r).start();
  }
}
