/*
 * JStandardPlugin.java
 * Copyright (C) 2000, Vinod Kiran
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import org.gjt.sp.jedit.*;
import org.gjt.sp.jedit.gui.*;
import org.gjt.sp.util.Log;
import java.util.*;

import jstandard.*;

public class JStandardPlugin extends EditPlugin
{
	/* public class attributes */
  public static final String VER_NUM = "1.0";

  public String getName()
  {
    return "JStandard";
  }

  public void start()
  {
    jEdit.addAction(new JStandardAction());
	JStandard.start();
  }

  public void stop()
  {
	JStandard.stop();
  }
  
  public void createMenuItems(View view, java.util.Vector menus, java.util.Vector menuItems)
  {
        menus.addElement(GUIUtilities.loadMenu(view, "jstandard-menu"));
  }

	/**
	 * This allows plugins to add their own option pane to the
	 * <code>OptionsDialog</code>.
	 */
	public void createOptionPanes(OptionsDialog od)
	{
		od.addOptionPane(new JStandardOptionPane());
	}
}

