/*
 * JStandardWarning.java - The Warning class. All warnings are of this type
 * Copyright (C) 2000, Vinod Kiran
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

 package jstandard;

public class JStandardWarning
{
	protected int line;
    protected int col;
    protected String msg;
	protected short type;
	protected String token;
     
	public JStandardWarning()
    {
		line = -1;
        col = -1;
        msg = "";
    }

    public JStandardWarning(short t, String m, String tok, int l, int c)
    {
		type = t;
        line = l;
        col = c;
        msg = m;
		token = tok;
    }

    public int getLine()
    {
		return line;
    }

    public int getColumn()
    {
		return col;
    }

    public String getMsg()
    {
    	return msg;
    }

    public short getType()
    {
    	return type;
    }
	
	public String getToken()
	{
		return token;
	}
    public String toString()
    {
		return msg+" ( Line:"+line+" Col: "+col+")";
    }
	
	public void setMsg(String message)
	{
		msg = message;
	}
}
